This is a description of the Features of dvi2ps version 3.1.

0. Correct Positioning Algorithm. (This shouldn't need to be a feature....
However, there may be a problem with builtin fonts.)

1. Speed.	This version of dvi2ps should be faster than earlier versions.
The difference should be most noticeable with long documents without many font
changes. The increase in speed results from an improved handling of postscript 
output. For short documents, most of the time will be spent downloading the
fonts, so the difference will be marginal. I've achieved rates of up to
4 pages per minute with 25--30 page documents which include some mathematics.

2. SetUp.	This version of dvi2ps allows you to create a file called
".dvi2ps" in either the current directory or your home directory to specify
options you always want. Any command line option can be so specified.

3. Density.	dvi2ps uses a TeX-compatible set of fonts. These can be
produced from the MetaFont source at any desired resolution. The default is
to assume that the available fonts have been produced at the resolution of
300 dots-per-inch used by the Apple LaserWriter. This default can by changed 
by the user at runtime using the -d option.

4. Fonts.	dvi2ps can read PK, GF, or PXL fonts. The choice of which kinds
of fonts to use is set at compile-time via the Makefile. The default is to only
search for PK fonts. If a desired font cannot be found at the precise
point size and magnification, dvi2ps will attempt to use PostScript to
scale another member of the same fontstyle (e.g., cmr) to approximately the
right size. Use of PXL files is strongly discouraged, and support for them
is expected to eliminate from future versions of dvi2ps.

5. Font Directories.	This version of dvi2ps supports a variety of font 
directory organizations. It searches through a colon-separated list of 
directories. A default (FONTAREA) is set in the Makefile. This can be overridden
on a per-user basis by the environment variable DVIFONTS. Both the default and
the environment variable can be overridden on a per-job basis using the -a
option (this can also be done in the setup file). For each directory specified 
in the colon-separated list, dvi2ps will look in that directory, and in any 
subdirectories named 'pk', 'pk300', 'gf', 'gf300', or 'pxl' for fonts of the 
appropriate type. Any of these directories can in addition contain a file named 
SUBDIR which indicates that fonts are organized by subdirectories. That is, if 
the directory /fonts contains a file /fonts/SUBDIR, then the various 
magnifications of the font cmr10 will be found inside the subdirectory 
/fonts/cmr10, under a name like /fonts/cmr10/cmr10.300pk. Absolute pathnames 
are also supported. If you specify   \font\myfont = /usrs/myhome/fonts/cursive,
then dvi2ps will look in the named directory first, and will only look
at other directories if the exact size cannot be found there.

6. Builtin Fonts.	This version of dvi2ps also recognizes the builtin
PostScript fonts. There is a file (which is set in the Makefile---the default
is /usr/local/tex/DVIware/psfonts.map) which associates the TeX names with
the PostScript names. For example, it contains the entries
	h-med	Helvetica
	t-ita	Times-Italic
and so forth. Whenever dvi2ps sees a font called "t-ita", it translates it
into the built-in font called Times-Italic. It does not look for pk, gf, or pxl
files. Instead, it uses the tfm files for built-in fonts. So, you must have 
the file t-ita.tfm in a place known to dvi2ps (and TeX) in order to use 
Times-Italic. There is a default colon-separated list of directories specified
in the Makefile, which can be overridden by the environment variable TEXFONTS
(which is also used by TeX to find tfm files.) or the command line option "-b".
The tfm files are included.

7. Asian Fonts.		This version of dvi2ps supports the use fo asian fonts
in a manner compatible with that used by the Japan TeX User's Group and by
Jing-bai Wang's ``chfont''. One can specify in the file ``psfonts.map'' that
certain names are prefixes. This means that there is an entire family of fonts
beginning with that name, which can be intermingled. Dvi2ps will reencode
the members of these families as it downloads them, making optimal use of
the printer's virtual memory. The currently known prefixes are ``chfont'',
``jis'', ``dm'', and ``dg''. Any name indicated as a prefix may be described
as ``downloaded'' (which means that the user claims the printer already knows
about all these fonts, so dvi2ps doesn't download any characters) or ``onewidth'',
which means that all characters are the same size. The designation ``onewidth''
requires three arguments: the smallest character code, the largest character code,
and the tfm width (x only).

8. Virtual Memory.	dvi2ps will sometimes fail on long complicated documents
because it runs out of virtual memory. One of the simplest fixes, at least on 
an Apple LaserWriter, is to invoke the command in the form "dvi2ps -o note" 
which will reclaim an extra 92K of memory (at the expense of a smaller imageable
portion on each page). This version also allows you to estimate the available
VM, and will not exceed that estimate (at the cost of somewhat slower 
performance because of repeated downloading of fonts). The default estimate
of available VM is set in the Makefile to 90000; this can be overridden at
run-time by the -B option.

9. Pagination.	This version of dvi2ps allows more flexible specification of
pages to be printed. The default is to print all pages (in fact, all pages from
-10000 to +10000). You can change starting and ending pages via the "-f from"
and "-t to" options. You can specify only even pages "-E" or only odd pages "-O".
You can also specify extra page options using the "-x" argument. This comes 
in three forms: "-x single", "-x from:to", and "-x from:by:to". The first 
version adds a single page to the list of pages to be printed. The second 
option adds a range of pages. The final option adds
a modular range of pages---it will print pages numbered from, from+by,
from+2by, etc. Naturally, the most common use of the last option will occur
when by=2. If multiple -f or -t options are specified, only the last occurrence
of each one has any effect. These can be mixed in any order with any number of 
-x options and resonable things should happen. The major weakness is that 
the -x option has no defaults. These options cannot be used to get multiple 
copies of individual pages.

10. Input/Output.	The default is for dvi2ps to take its input from a named
dvi file and write its output to stdout. A common use is to type
	dvi2ps myfile | lpr -Pps 
There is now an option -s to run as a print spooler, which takes input from
stdin. There is also an option -c to write the output to a file. In this way,
the command   dvi2ps -c myfile  will produce its output on the file  myfile.ps.
If you want the output to go somewhere else, then you'll just have to redirect 
it in the old way. (Note: the -c option on an Apollo still directs the output 
to a file in a spooling area to be sent to a printer.) I dont't know how well
these options work if you specify both of them

11. Specials.	This version of dvi2ps supports Trevor Darrell's psfig program
for including graphics. It will also allow you to send straight PostScript 
commands. Any PostScript file which has a %%BoundingBox command which gives
a reasonable relative position for the figure (i.e., lower left origin of the
bounding box is at (0,0)) can be included using the psfile special. This 
includes the output of the fig2ps program included in the TransFig package.
You can use the bbfig program to compute bounding boxes if you don't know them.

12. Online help.	Jing-bai Wang's help program has been broken out of
dvi2ps as a standalone help facility, called texhelp. (Oops. Read: Will Be)
